c1 = -0.15:0.005:0.15;
c2 = c1;

[c11,c22]=meshgrid(c1,c2);
err = 0*c22;

% targets = [2.75653849405069 %the freq ratios for uniform case
%           5.40391760938276
%            8.9329503138518];

targets = [3;5.5;9];

for inda = 1:length(c1)
    for indb = 1:length(c2)
        coefs = [0;0;c11(inda,indb);0;c22(inda,indb)];        
        err(inda,indb) = target_func(coefs,targets);
    end
    disp([num2str(inda/length(c1)*100) '% done']);
end

figure
hold on
% plot3(c11,c22,err,'b')
% plot3(c11',c22',err','b')
surf(c11,c22,err);
xlabel('c_1');
ylabel('c_2');
zlabel('error');